import axios from 'axios';
import qs from 'qs';

const API_DOMAIN = 'https://service-c2zjvuxa-1252463788.gz.apigw.tencentcs.com';
let MY_API_DOMAIN = process.env.VUE_APP_BASE_API;

export async function getSmsVerifyCode(phoneNum) {
  let data = {
    method: 'getSms',
    phone: phoneNum
  };
  const options = buildOptions(data, '/release/sms')
  return axios(options);
}

export async function loginSystemByVerifyCode(loginInfo) {
  const { phoneNum, sessionId, verifyCode } = loginInfo;
  let data = {
    method: 'login',
    phone: phoneNum,
    code: verifyCode,
    sessionId
  };
  const options = buildOptions(data, '/release/sms');
  return axios(options);
}

export async function loginSystemByToken(phoneNum, token) {
  let data = {
    method: 'login',
    phone: phoneNum,
    token
  };
  const options = buildOptions(data, '/release/sms');
  return axios(options);
}

export async function fetchUserInfoByPhone(phone, token) {
  let data = {
    phone,
    token
  };
  const options = buildOptions(data, '/release/getUserInfo');
  return axios(options);
}

export async function fetchUserInfoByUserId(userId, token) {
  let data = {
    userId,
    token
  };
  const options = buildOptions(data, '/release/getUserInfo');
  return axios(options);
}

export async function updateUserName(name, userId, token) {
  let data = {
    userId,
    name,
    token
  };
  const options = buildOptions(data, '/release/setNickname');
  return axios(options);
}

function buildOptions(data, apiPath) {
  return {
    method: 'POST',
    headers: { 'content-type': 'application/x-www-form-urlencoded' },
    data: qs.stringify(data),
    url: `${API_DOMAIN}${apiPath}`,
  }
}
// 查询退役军人信息
export function memberinfo(data) {
  let params = {
    method: 'get',
    headers: { 'content-type': 'application/json' },
    params: data,
    url: `${MY_API_DOMAIN}memberinfo/findById`,
  }
  return axios(params);
}
// 查询公司信息
export function companyInfo(data) {
  let params = {
    method: 'get',
    headers: { 'content-type': 'application/json' },
    params: data,
    url: `${MY_API_DOMAIN}/tcompany/getCompanyInfoById`,
  }
  return axios(params);
}

